PLplot: wxwidgets.h File Reference

PLplot 5.15.0

Classes | Functions | Variables
wxwidgets.h File Reference
`#include <vector>`
`#include <memory>`
`#include <wx/wx.h>`
`#include <wx/spinctrl.h>`
`#include <wx/dcgraph.h>`
`#include "plplotP.h"`
`#include "wxwidgets_comms.h"`

Go to the source code of this file.

## Classes
class | Font
class | FontGrabber
class | PlDevice
class | wxPLDevice
struct | dev_entry

## Functions
bool | operator== (const Font &lhs, const Font &rhs)
void | plD_init_wxwidgets (PLStream *)
void | plD_init_wxpng (PLStream *)
void | plD_line_wxwidgets (PLStream *, short, short, short, short)
void | plD_polyline_wxwidgets (PLStream *, short *, short *, PLINT)
void | plD_eop_wxwidgets (PLStream *)
void | plD_wait_wxwidgets (PLStream *)
void | plD_bop_wxwidgets (PLStream *)
void | plD_tidy_wxwidgets (PLStream *)
void | plD_state_wxwidgets (PLStream *, PLINT)
void | plD_esc_wxwidgets (PLStream *, PLINT, void *)
void | wx_set_dc (PLStream *pls, wxDC *dc)
void | wx_set_buffer (PLStream *pls, wxImage *buffer)
void | Log_Verbose (const char *fmt,...)
void | Log_Debug (const char *fmt,...)

## Variables
const wxFontFamily | fontFamilyLookup [5]
const int | fontStyleLookup [3]
const int | fontWeightLookup [2]

## Function Documentation

## ◆ Log_Debug()

void Log_Debug | ( | const char * | fmt,
|  |  | ...
| ) |  |

Definition at line 77 of file wxwidgets.cpp.

## ◆ Log_Verbose()

void Log_Verbose | ( | const char * | fmt,
|  |  | ...
| ) |  |

Definition at line 56 of file wxwidgets.cpp.

## ◆ operator==()

bool operator== | ( | const Font & | lhs,
|  | const Font & | rhs
| ) |  |

Definition at line 753 of file wxwidgets_dev.cpp.

## ◆ plD_bop_wxwidgets()

void plD_bop_wxwidgets | ( | PLStream * |  | ) |

Definition at line 403 of file wxwidgets.cpp.

## ◆ plD_eop_wxwidgets()

void plD_eop_wxwidgets | ( | PLStream * |  | ) |

Definition at line 343 of file wxwidgets.cpp.

## ◆ plD_esc_wxwidgets()

void plD_esc_wxwidgets | ( | PLStream * | ,
|  | PLINT | ,
|  | void * |
| ) |  |

Definition at line 504 of file wxwidgets.cpp.

## ◆ plD_init_wxpng()

void plD_init_wxpng | ( | PLStream * |  | ) |

## ◆ plD_init_wxwidgets()

void plD_init_wxwidgets | ( | PLStream * |  | ) |

## ◆ plD_line_wxwidgets()

void plD_line_wxwidgets | ( | PLStream * | ,
|  | short | ,
|  | short | ,
|  | short | ,
|  | short |
| ) |  |

Definition at line 285 of file wxwidgets.cpp.

## ◆ plD_polyline_wxwidgets()

void plD_polyline_wxwidgets | ( | PLStream * | ,
|  | short * | ,
|  | short * | ,
|  | PLINT |
| ) |  |

Definition at line 313 of file wxwidgets.cpp.

## ◆ plD_state_wxwidgets()

void plD_state_wxwidgets | ( | PLStream * | ,
|  | PLINT |
| ) |  |

Definition at line 463 of file wxwidgets.cpp.

## ◆ plD_tidy_wxwidgets()

void plD_tidy_wxwidgets | ( | PLStream * |  | ) |

Definition at line 429 of file wxwidgets.cpp.

## ◆ plD_wait_wxwidgets()

void plD_wait_wxwidgets | ( | PLStream * |  | ) |

Definition at line 373 of file wxwidgets.cpp.

## ◆ wx_set_buffer()

void wx_set_buffer | ( | PLStream * | pls,
|  | wxImage * | buffer
| ) |  |

## ◆ wx_set_dc()

void wx_set_dc | ( | PLStream * | pls,
|  | wxDC * | dc
| ) |  |

## Variable Documentation

## ◆ fontFamilyLookup

const wxFontFamily fontFamilyLookup[5]

Initial value:
= {
wxFONTFAMILY_SWISS,
wxFONTFAMILY_ROMAN,
wxFONTFAMILY_TELETYPE,
wxFONTFAMILY_SCRIPT,
wxFONTFAMILY_SWISS
}

Definition at line 243 of file wxwidgets.h.

## ◆ fontStyleLookup

const int fontStyleLookup[3]

Initial value:
= {
wxFONTSTYLE_NORMAL,
wxFONTSTYLE_ITALIC,
wxFONTSTYLE_SLANT
}

Definition at line 251 of file wxwidgets.h.

## ◆ fontWeightLookup

const int fontWeightLookup[2]

Initial value:
= {
wxFONTWEIGHT_NORMAL,
wxFONTWEIGHT_BOLD
}

Definition at line 257 of file wxwidgets.h.